std::__detail::_Before_begin< _NodeAlloc >(3)

NAME
std::__detail::_Before_begin< _NodeAlloc > -

SYNOPSIS

Inherits _NodeAlloc.

  Public Member Functions
_Before_begin (const _Before_begin &)=default
_Before_begin (_Before_begin &&)=default
template<typename _Alloc > _Before_begin (_Alloc &&__a)

  Public Attributes
_Hash_node_base _M_node

Detailed Description

  template<typename _NodeAlloc>struct std::__detail::_Before_begin< _NodeAlloc >
This type is to combine a _Hash_node_base instance with an allocator instance through inheritance to benefit from EBO when possible.

Definition at line 1652 of file hashtable_policy.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.